policy/engine changes to support PE https
[policy/engine.git] / packages / docker / src / main / docker / docker-install.sh
index c15f36f..3700e57 100644 (file)
@@ -1,4 +1,24 @@
 #!/bin/bash
+#
+#============LICENSE_START==================================================
+#  ONAP Policy Engine
+#===========================================================================
+#  Copyright (C) 2017-2018 AT&T Intellectual Property. All rights reserved.
+#===========================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#         http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#============LICENSE_END==================================================
+#
+
 
 #########################################################################
 ##
@@ -149,6 +169,7 @@ function configure_component() {
        SED_LINE+=" -e 's!\${{POLICY_USER}}!${POLICY_USER}!g' "
        SED_LINE+=" -e 's!\${{POLICY_GROUP}}!${POLICY_GROUP}!g' "
        SED_LINE+=" -e 's!\${{KEYSTORE_PASSWD}}!${KEYSTORE_PASSWD}!g' "
+       SED_LINE+=" -e 's!\${{TRUSTSTORE_PASSWD}}!${TRUSTSTORE_PASSWD}!g' "
        SED_LINE+=" -e 's!\${{JAVA_HOME}}!${JAVA_HOME}!g' "
        SED_LINE+=" -e 's!\${{COMPONENT_TYPE}}!${COMPONENT_TYPE}!g' "
        SED_LINE+=" -e 's!\${{POLICY_LOGS}}!${POLICY_LOGS}!g' "
@@ -309,6 +330,11 @@ function install_base() {
                exit 1
        fi      
        
+       if ! /bin/mkdir -p "${POLICY_LOGS}" > /dev/null 2>&1; then      
+               echo "error: aborting base installation: cannot create ${POLICY_LOGS}"
+               exit 1
+       fi      
+       
        if ! /bin/mkdir -p "${POLICY_HOME}/logs/" > /dev/null 2>&1; then        
                echo "error: aborting base installation: cannot create ${POLICY_HOME}/logs/"
                exit 1
@@ -336,7 +362,6 @@ function install_base() {
                exit 1
        fi
 
-       /bin/mkdir -p ${POLICY_HOME}/etc/ssl > /dev/null 2>&1
        /bin/mkdir -p ${POLICY_HOME}/etc/init.d > /dev/null 2>&1
        /bin/mkdir -p ${POLICY_HOME}/tmp > /dev/null 2>&1
        /bin/mkdir -p ${POLICY_HOME}/var > /dev/null 2>&1
@@ -374,6 +399,26 @@ function configure_base() {
        fi
 }
 
+function configure_keystore() {
+       if [[ $DEBUG == y ]]; then
+               echo "-- ${FUNCNAME[0]} --"
+               set -x
+       fi
+
+    local DEFAULT_KEYSTORE_PASSWORD='Pol1cy_0nap'
+
+       if [[ -n ${TRUSTSTORE_PASSWD} ]]; then
+           keytool -storepasswd -storepass "${DEFAULT_KEYSTORE_PASSWORD}" -keystore "${POLICY_HOME}/etc/ssl/policy-truststore" -new "${TRUSTSTORE_PASSWD}"
+           keytool -list -keystore "${POLICY_HOME}/etc/ssl/policy-truststore" -storepass "${TRUSTSTORE_PASSWD}"
+       fi
+
+       if [[ -n ${KEYSTORE_PASSWD} ]]; then
+           keytool -storepasswd -storepass "${DEFAULT_KEYSTORE_PASSWORD}" -keystore "${POLICY_HOME}/etc/ssl/policy-keystore" -new "${KEYSTORE_PASSWD}"
+           keytool -list -keystore "${POLICY_HOME}/etc/ssl/policy-keystore" -storepass "${KEYSTORE_PASSWD}"
+       fi
+}
+
+
 function install_tomcat_component() {
        if [[ $DEBUG == y ]]; then
                echo "-- ${FUNCNAME[0]} $@ --"
@@ -510,6 +555,11 @@ function install_brmsgw() {
        
        install_prereqs "${BASE_CONF}"
 
+       if [[ -n ${BUILD_VERSION} ]]; then
+               echo "Replacing ${BUILD_VERSION} in ${COMPONENT_TYPE}.conf"
+               sed -i -e "s/^BRMS_DEPENDENCY_VERSION=.*$/BRMS_DEPENDENCY_VERSION=${BUILD_VERSION}/g" "${COMPONENT_TYPE}.conf"
+       fi
+       
        if ! process_configuration "${COMPONENT_TYPE}.conf"; then
                echo "error: aborting ${COMPONENT_TYPE} installation: cannot process configuration ${COMPONENT_TYPE}.conf"
                exit 1
@@ -528,7 +578,7 @@ function install_brmsgw() {
                echo "error: aborting base installation: cannot create ${POLICY_HOME}/servers/${COMPONENT_TYPE}"
                exit 1
        fi      
-       
+
        /bin/cp -fr "${POLICY_HOME}"/install/servers/${COMPONENT_TYPE}/BRMSGateway.jar "${POLICY_HOME}/servers/${COMPONENT_TYPE}"
        /bin/cp -fr "${POLICY_HOME}"/install/servers/${COMPONENT_TYPE}/*.properties "${POLICY_HOME}/servers/${COMPONENT_TYPE}"
        /bin/cp -fr "${POLICY_HOME}"/install/servers/${COMPONENT_TYPE}/config "${POLICY_HOME}/servers/${COMPONENT_TYPE}"
@@ -578,7 +628,7 @@ DEBUG=n
 
 BASE_CONF=base.conf
 
-TOMCAT_PACKAGE_NAME=apache-tomcat-8.0.23
+TOMCAT_PACKAGE_NAME=apache-tomcat-8.0.53
 
 INSTALL_DIR="$(pwd)"
 
@@ -660,11 +710,10 @@ if [[ -z ${POLICY_GROUP} ]]; then
 fi
 
 if [[ -z ${POLICY_LOGS} ]]; then
-    echo "POLICY_LOGS environment variable NOT set, default to /var/log"
+    echo "POLICY_LOGS environment variable NOT set, default to /var/log/onap"
     export POLICY_LOGS="/var/log/onap"
 fi
 
-
 FQDN=$(hostname -f 2> /dev/null)
 if [[ $? != 0 || -z ${FQDN} ]]; then
        echo "error: cannot determine the FQDN for this host $(hostname)."
@@ -712,6 +761,7 @@ if [[ ${OPERATION} == configure ]]; then
                base)   
                        configure_base
                        component_preconfigure
+                       configure_keystore
                        ;;
                pdp)    
                        configure_component "${COMPONENT_TYPE}.conf" "${POLICY_HOME}/servers/${COMPONENT_TYPE}/"